---
title: "KDE et openSUSE: Plasma 5.14, Qt 5.12 et plus."
date: 2018-11-25
---

**Plasma 5.14**

Plasma 5.14 a été publié avec de nombreuses améliorations.

Il était prévu de le publier le même jour dans un instantané Tumbleweed, mais des problèmes liés à openQA ont empêché l'instantané 20181008 d'être publié. Au lieu de cela, les utilisateurs de Tumbleweed l'ont reçu avec l'instantané 20181009 jeudi matin. Actuellement, 5.14.1 est accepté pour être accepté dans Tumbleweed.

Pour l'obtenir sur Leap 15 (et même 42.3 avec restrictions), vous pouvez ajouter <https://en.opensuse.org/SDB:KDE_repo...d_Applications>. Notez que ceux-ci ne font pas partie de la distribution officielle et ne sont donc pas aussi bien supportés.

**KDE: Unstable supprime la prise en charge de Leap 42.3**

KDE: Les projets instables abandonneront la prise en charge d’openSUSE 42.3 la semaine prochaine.

Des versions du logiciel KDE de git master étaient disponibles pour Leap 15 avant même la sortie officielle, ce qui devrait laisser à tout le monde le temps de migrer.

Les médias Argon sont passés à Leap 15 juste après leur sortie. Si vous n’avez pas encore entendu parler d’Argon (et de Krypton), il s’agit d’un support live installable avec la dernière version du logiciel KDE sur Leap et Tumbleweed.

Voir l'article du wiki (<https://en.opensuse.org/SDB:Argon_and_Krypton>) pour plus d'informations.

Migrer vers Leap 15 signifie également que moins de bibliothèques système (telles que libinput) doivent être remplacées, car la version de Leap 15 est suffisante pour le moment.

Si vous n’avez pas encore migré vers Leap 15, lisez <https://fr.opensuse.org/SDB:System_upgrade#Command_line_2>. Les instructions fournies fonctionnent parfaitement pour les référentiels KDE: Unstable.

**Adieu Webkit (à partir d'une installation par défaut)**

Saviez-vous que deux principaux navigateurs, Safari et Chromium, sont basés sur le logiciel KDE? C’est vrai, Apple a utilisé KHTML comme base lors de la création du moteur de navigateur WebKit. Au cours du développement de Chrome, Google a incorporé WebKit à Blink.

À l'origine, Qt utilisait Webkit pour fournir aux développeurs un moteur de rendu HTML complet dans leurs applications. Dans des périodes plus récentes (à partir de Qt 5.5), la prise en charge a été supprimée au profit de Qt WebEngine, qui est basé sur Chromium. Cela signifie que Qt WebKit n'est plus pris en charge à partir de Qt en amont et qu'il a même été supprimé de leurs versions.

La présence d'un logiciel non distribué et complexe dans la distribution présente plusieurs inconvénients. Tout d’abord, il ya le problème de la sécurité car les correctifs de sécurité dans WebKit ne se retrouveront plus dans Qt WebKit et pourraient ne pas fonctionner correctement avec les futures versions de Qt.

Dans Tumbleweed et Leap 15, WebKit pour Qt 4 est déjà complètement supprimé de la distribution. Pour Qt5 WebKit, ce n’est pas aussi simple: beaucoup d’applications ne fonctionnent pas sans.

L'équipe KDE a décidé de supprimer Qt Webkit de l'installation openSUSE par défaut. L'impact sur les utilisateurs devrait être minimal. la seule exception concerne Marble et Digikam. Ceux-ci ne seront plus installés par défaut car ils dépendent toujours de Qt Webkit, mais ils sont toujours disponibles à partir de YaST et de zypper.

Dans le cadre des efforts de l’équipe openSUSE KDE, nous avons soumis des correctifs aux bibliothèques de KDE Plasma ainsi qu’à Signon-ui pour les changer et utiliser WebEngine à la place.

Le changement de signon-ui fait déjà partie de Tumbleweed et libksysguard5 avec le support de WebEngine fera partie d’un futur instantané.

**Qt 5.12 LTS**

Qt a récemment annoncé les deux premiers Betas de la branche des versions 5.12. Ce sera une version LTS, ce qui signifie qu’elle sera prise en charge pendant trois ans. Actuellement, Qt 5.6 et 5.9 continuent également de recevoir des corrections de bogues critiques et importantes dans le cadre du cycle de vie de LTS.

Les changements les plus importants sont:
- Prise en charge du protocole stable xdg-shell sur Wayland
- QML supporte maintenant ECMAScript 7
- Qt Quick présente les gestionnaires d’entrée, qui améliorent la convivialité des périphériques de saisie tactiles et des tablettes.
- Qt WebEngine a été mis à jour pour Chromium 69

Une liste complète des nouvelles fonctionnalités de la version 5.12 est disponible sur le wiki (<https://wiki.qt.io/New_Features_in_Qt_5.12>).

Comme avec 5.10 et 5.11, nous soumettrons 5.12 dans un ordre spécifique pour obtenir la plus grande surface de test:
- Depuis Alpha, nous avons construit KDE: Projets instables par rapport à KDE: Qt: 5.12 et produit des médias en direct pour des tests manuels.
- À partir de la version bêta 2, il sera soumis à la mise en scène de Tumbleweed pour obtenir une compilation plus large et des tests OpenQA
- Avec la première version candidate (RC) KDE: Unstable: Qt passera en 5.12 et les utilisateurs de Krypton le recevront.
- Avec la version finale de la version 5.12.0, KDE: Qt5 passera également à la version 5.12 et la version 5.12 pourra être vérifiée dans Tumbleweed.

**Plans pour Leap 15 Service Pack 1**

Leap 15 Service Pack 1 (15.1) sera la suite de la série de versions de Leap 15.

La principale différence par rapport à la version initiale de Leap 15 (15.0) sera la suppression de Qt WebKit de l'installation par défaut (comme cela a été fait pour Tumbleweed). Sur le plan logiciel, la dernière version disponible de Plasma 5.12 LTS sera livrée. Il est également prévu d’expédier les dernières applications et les cadres KDE disponibles au moment de la publication.

[Article complet](https://news.opensuse.org/2018/10/17/kde-and-opensuse-plasma-5-14-qt-5-12-and-more/)
