---
title: PluXml 5.8 est disponible !
date: 2020-01-13T22:42:00+02:00
---
J'ai pendant un bon moment utilisé sur ce blog le moteur de PluXml, donc c'est toujours un logiciel que je suis attentivement et tout naturellement j'ai été ravi d'apprendre l'arrivée de sa version 5.8. Ce qui suit est le billet de sa sortie vu sur <https://www.pluxml.org/pluxml-5-8-est-disponible.html>.

## Mot de passe oublié et intégration de PHPMailer

Voila une fonctionnalité qui faisait cruellement défaut à PluXml, la possibilité de générer un nouveau mot de passe pour un compte utilisateur. Jusqu'à la version 5.7, la procédure de récupération d'un compte, pour lequel le mot de passé a été oublié, était fastidieuse et impliquait la génération d'un nouveau fichier `users.xml`. Dorénavant, il suffira de cliquer sur le lien *Mot de passe oublié*, depuis la page de connexion à l'administration, pour recevoir un e-mail contenant un lien permettant de définir un nouveau mot de passe pour le compte.

![pluxml 5.8 login](https://www.pluxml.org/data/medias/releases/5.8/login.jpg)

Avec cette fonctionnalité, la librairie *PHPMailer* a été intégrée à PluXml avec l'aide du gestionnaire de dépendance [Composer](https://getcomposer.org/). Elle permet à votre site d'envoyer des e-mails au travers de trois méthodes différentes. Par exemple, il est possible d'envoyer des e-mails en partance de PluXml au travers d'un compte GMAIL (plus d'informations dans la [documentation](https://wiki.pluxml.org/personnaliser/personnalisation/#envoi-de-mails)). Les développeurs peuvent utiliser la nouvelle fonction `plxUtils->sendMailPhpMailer()` pour profiter de ces nouveautés.

## Translittération des langues cyrilliques et germaniques

PluXml ayant vocation à être un CMS multilingue, il était important d'intégrer la translittération dans la génération des URL des articles, pages et médias. Il s'agit d'un procédé permettant de substituer un caractère d'un alphabet par le caractère correspondant dans un autre alphabet. Implémenté dans PluXml pour le Russe, le Polonais, le Roumain et l'Allemand, la translittération améliore la lisibilité et l'utilisation des URL.

Ainsi, un média portant le nom de *картина.jpg* lorsqu'il est téléversé sur le site, s'appellera *kartina.jpg* et il en va de même pour son URL. Jusqu'à la version 5.7 de PluXml, ce média n'aurait même pas pu être utilisé sur le site. Quant à la génération automatique des URL des articles et des pages, en version 5.7, elle ne fonctionnait pas. Il était nécessaire de définir à la main une URL avec l'alphabet latin. Dorénavant, la translittération se chargera de créer automatiquement une URL correspondant au titre saisi par l'auteur.

Je conseille ainsi aux développeurs d'utiliser la nouvelle fonction `plxUtils->urlify()`, qui prend en compte la translittération pour la génération d'URL, en lieu et place de l'ancienne fonction `plxUtils->title2url()`.

## Autres nouveautés

Grâce à l'implication de sa communauté, PluXml s'est étoffé de nombreuses évolutions et corrections d'anomalies, dont voici un échantillon :

- amélioration sur le header et le menu responsive du thème par défaut
- amélioration des performances du gestionnaire de médias
- divers changements sur l'overlay des images dans le gestionnaire de médias
- ajouts de nouveaux *hooks* sur la page de connexions pour le développement de plugins
- possibilité d'ajouter une image d'accroche à une catégorie
- à l'installation le choix est donné de créer ou non l'article et la page statique d'exemple
- correction d'une faille de sécurité autour du cookie de session PHP
- compatibilité avec PHP 7.3 et 7.4 (remplacement ou suppression de méthodes dépréciées)

Retrouvez l'ensemble des changements apportés par la version 5.8 en consultant le [changelog](https://www.pluxml.org/download/changelog.txt).

Je remercie tous les contributeurs de cette version, qu'ils soient développeurs, testeurs ou traducteurs, merci [bazooka07](https://forum.pluxml.org/profile/bazooka07), [sudwebdesign](https://forum.pluxml.org/profile/Sudwebdesign), [flipflip](https://forum.pluxml.org/profile/flipflip), [je-evrad](https://forum.pluxml.org/profile/je-evrard), [Jerry Wham](https://forum.pluxml.org/profile/Jerry%20Wham), [Rùben](https://forum.pluxml.org/profile/Rub%C3%A9n), [Gzyg](https://forum.pluxml.org/profile/Gzyg), [kamea](https://forum.pluxml.org/profile/kamea), [mika22](https://forum.pluxml.org/profile/mika22).

## Changelog:

## PLUXML 5.8.1 (sortie : 07/01/2020) ##

- FIX #360 Undefined index: password_token
- FIX #361 Use of undefined constant PLX_TEMPLATES
- FIX #362 Uncaught Error: Class 'PlxTemplate' not found
- FIX #363 Notice: Undefined index: name
- FIX #364 warning messages and use browser language

## PLUXML 5.8 (sortie : 05/01/2020) ##

- [+] PluCSS 1.3.1
- [+] Feature "Mot de passe oublié" : envoi d'un lien par mail permettant la création d'un nouveau mot de passe (P3ter)
- [+] Feature "Mot de passe oublié" : l'adresse e-mail devient obligatoire à l'installation de PluXml et à la création d'un utilisateur (P3ter)
- [+] Ajout de la translitteration des URLs des articles, des pages et des médias pour le Russe, le Polonais, le Roumain et l'Allemand (bazooka07, P3ter)
- [+] Thème par défaut : ajout du titre et du sous-titre sur mobile, modification des breakpoints et de la largeur des bords, modification de l'entête (P3ter, sudwebdesign)
- [+] Amélioration des performances du gestionnaire de médias (bazooka07)
- [+] Les modifications sur les profils utilisateurs sont immédiatement visibles, inutile de se re-connecter (sudwebdesign)
- [+] Un utilisateur supprimé ou désactivé est déconnecté automatiquement (sudwebdesign)
- [+] Administration des médias : affichage du nombre maximum de fichiers téléversables en une seule fois (sudwebdesign)
- [+] Ajout de la fonction plxUtils::printInputRadio permettant d'afficher des boutons radio (P3ter)
- [+] Ajout de la fonction plxUtils::sendMailPhpMailer permettant d'envoyer des mails avec ou sans OAUTH2 (P3ter)
- [+] Ajout de la fonction plxUtils::printLinkCss permettant d'afficher une balise <link> avec la date de modification du fichier (bazooka07, sudwebdesign)
- [+] Ajout de la fonction plxUtils::printSelectDir permettant d'afficher une arborescence dans l'administration des médias et des templates (bazooka07, sudwebdesign)
- [+] Plugins : ajout de nouveaux hooks sur la page d'authentification AdminAuthBegin, AdminAuthTopLostPassword, AdminAuthLostPassword, AdminAuthTopChangePassword, AdminAuthChangePassword, AdminAuthTopChangePasswordError, AdminAuthChangePasswordError  (sudwebdesign)
- [+] Ajout de paramètres à la fonction plxUtils::cleanHeaders() (sudwebdesign)
- [+] #40 Ne pas afficher le meta du site en mode article, static, categorie (Stéphane)
- [+] #135 Contextualiser le lien du flux RSS dans le <head> en fonction du mode catégorie, tag, ou autre (bazooka07, P3ter)
- [+] #207 Afficher/masquer le chapeau et les tags d'un article dans l'administration en CSS3 au lieu d'utiliser du JS (bazooka07, Stéphane, P3ter)
- [+] #215 Mise en avant du lien de l'article en cours de modification dans l'administration (sudwebdesign, P3ter)
- [+] #216 Refacto de la fonction plxUtils::printArea() (bazooka07)
- [+] #232 Ajout de la possibilité de désactiver l'affichage des flux RSS (Philippe-M)
- [+] #280 Support des formats de fichiers .gpx, .bmp et .webp par le gestionnaire de média (P3ter)
- [+] #293 Amélioration de la sécurité du repertoire data (bazooka07)
- [+] #305 Remplacement dirname(__FILE__) par __DIR__ dans l'admin et le thème par défaut (P3ter)
- [+] #309 Remplacement de define() par const (bazooka07)
- [+] #312 En présence d'une homepage statique, le lien "archive total" redirige vers le blog (je-evrard, bazooka07, P3ter)
- [+] #312 Remplacement de la fonction str_replace() par strtr() pour les liens vers les pages archives (bazooka07, P3ter)
- [+] #313 Fermer l'overlay des médias avec la touche "ESC/ECHAP" du clavier (jerrywham)
- [+] #317 #325 plxShow->lastArtList() rechercher des catégories par leur url plutôt que par leur ID (jerrywham, sudwebdesign)
- [+] #331 #330 Ajout d'une image d'accroche sur une catégorie (Philippe-M)
- [+] #348 Ajout d'un paramètre "extra" à la fonction plxUtils->printArea (bazooka07)
- [+] #349 Lors de l'installation, possibilité de créer ou non les données d'exemples (sudwebdesign)
- FIX Correction de la gestion des ID CSS dans les menus (sudwebdesign)
- FIX Autorisation du cross-origin dans les flux RSS/ATOM (sudwebdesign)
- FIX #253 Faille XSS : modification des paramètres du cookie session (bazooka07, P3ter)
- FIX #287 Capcha : ajout d'un espace insécable avant le "?" (P3ter)
- FIX #302 Renvoie vers index.php si un paramètre est inconnu dans l'URI (bazooka07)
- FIX #315 Les espaces dans la recherche de medias font disparaitre les résultats (P3ter)
- FIX #318 L_NEW_CATEGORY en doublon pour certaines langues (P3ter)
- FIX #322 plxDate::getCalendar() ne retourne jamais L_SUNDAY (jerrywham, P3ter)
- FIX #323 La fonction plxUtils::printSelect ne fonctione pas avec un "selected" de type numérique (Philippe-M)
- FIX #324 Correction couleur des selecteurs si le theme du navigateur est inversé (sudwebdesign)
- FIX #326 Remplacement de "create_function()" déprécié depuis PHP 5.3 (faille et dégradation des performances) (P3ter)
- FIX #329 Mauvais affichage du nom du site et du menu avec Safari (P3ter)
- FIX #332 Traductions manquantes en Polonais (sudwebdesign)
- FIX #334 Thème par défaut : affichage cassé des sous-menu de pages statiques (sudwebdesign)
- FIX #343 Article n'est plus affiché après suppression de la catégorie (P3ter)
- FIX #345 $plxShow->catList affiche la catégorie 10 à tort (bazooka07)
- FIX #349 Suppression de l'utilisation de la fonction "get_magic_quotes_gpc()" dépréciée en PHP 7.4 (sudwebdesign)
