---
title: "Installer Citrix-Receiver sous Debian #2."
date: 2020-10-12T19:09:11+02:00
draft: false
---
Il y a quelques temps, je parlais de l'installation de *Citrix-Receiver* sur une Debian Buster dans un [billet](https://passiongnulinux.tuxfamily.org/posts/2020-06-22-installer-citrix-receiver-sous-debian/), le truc qui s'est passé c'est que madame a eu besoin d'utiliser *Skype* et son *VOIP* et que bien sur ça ne marchait pas avec la version *13.10.0.20* que j'utilisais jusqu'ici.

Ce qui suit sera intégralement pompé depuis la [documentation d'Ubuntu](https://doc.ubuntu-fr.org/citrix), faut le voir comme une copie personnel.

Donc comme je le disais en première partie de ce billet, la *VOIP* ne marchait pas, pour la simple raison que je ne donnais pas l'autorisation d'utiliser ni la webcam ni le micro. Pour le faire, il faut paramètrer le client Citrix en lançant :

	/opt/Citrix/ICAClient/util/configmgr

Et de cocher "*utiliser mon micro et ma webcam*" comme ci-dessous:

![paramètre de Citrix](/images/Citrix-parametre_2020-10-13.png)

Mais avec cette version, ça plantait sur une MXlinux 19, certainement dû à des dépendances manquantes ou une base Debian avec qui j'aurai peut être dû taper dans les *backports*.

Donc sous Ubuntu 20.04, on verra par la suite si ce qui suit sera transportable sur une Debian, on commence par installer la version 20.9.0.15 de Citrix en allant sur le [site officiel](https://www.citrix.com/downloads/workspace-app/linux/).

# Téléchargement et installation.

- Aller sur le [site officiel](https://www.citrix.com/downloads/workspace-app/linux/).
- Choisir le produit **Citrix Workspace App for Linux** dans sa version la plus récente proposée sur le site (à ce jour 2020-10-13). J'ai ensuite déroulé la section Debian packages, mais j'ai pris le **Web package (Web Workspace app only)** au lieu du **Full packages (Self-Service Support)**. Lire les termes de la licence, puis accepter les termes, le téléchargement commence.

- Si on veut partager des ressources *USB* vers son environnement virtuel Citrix, téléchargez également le paquet **USB Support Package (x86_x64)** (pour un système Ubuntu 64 bits : le plus courant) ou **USB Support Package (x86)** (pour un système Ubuntu 32 bits). Lire les termes de la licence, puis accepter les termes, le téléchargement commencera ensuite.

- Installer les fichiers téléchargés (*icaclient_version.deb* et *ctxusb_version.deb*).

On installe toujours avec `APT` pour la gestion des dépendances:

	$ sudo apt install '/home/sebastien/Téléchargements/icaclientWeb_20.9.0.15_amd64.deb'
	$ sudo apt install '/home/sebastien/Téléchargements/ctxusb_20.9.0.15_amd64.deb'	

# Transfert des certificats depuis Firefox.

Si on obtient une erreur du type :

> You have not chosen to trust "xxx", the issuer of the server's security certificate.

ou (en français) :

> Vous avez choisi de ne pas faire confiance à "xxx", l'émetteur du certificat de sécurité du serveur (erreur SSL 61)

Le client Citrix embarque son propre magasin de certificats mais il n'y en a pas beaucoup dedans. Donc, suivant celui qui a servi à générer le certificat SSL de votre serveur, il peut être refusé par le client Citrix.

On peut résoudre une bonne fois pour toutes ces problèmes d'erreur de certificats (code 61 ou "impossible de se connecter à …") en copiant tous ceux de Firefox (ce qui assure par la même occasion leur authenticité) dans le répertoire d'installation :

	sudo cp /usr/share/ca-certificates/mozilla/*.crt /opt/Citrix/ICAClient/keystore/cacerts/

Si ça ne suffit pas, c'est peut-être que le certificat de votre serveur n'est pas signé par une autorité de confiance reconnue par Firefox.

Dans ce cas, il faut copier manuellement le certificat de votre autorité de certification dans **/opt/Citrix/ICAClient/keystore/cacerts**

Ou bien supprimer les certificats fournis par le paquet en créant un lien symbolique vers les certificats du système.

	cd /opt/Citrix/ICAClient/keystore/
	sudo rm -rf cacerts/
	sudo ln -s /etc/ssl/certs cacerts

# Paramétrage du client Citrix.

Maintenant on va configurer pour autoriser l'utilisation de nos webcam et micro.

Le client Citrix se paramètre en lançant :

	/opt/Citrix/ICAClient/util/configmgr

Cela permet notamment d'activer/désactiver l'utilisation de la webcam et du micro, de configurer les lecteurs mappés sur des répertoires locaux etc.

Il est également possible de vérifier la compatibilité avec toutes les fonctionnalités du client Citrix, en lançant :

	/opt/Citrix/ICAClient/util/hdxcheck.sh

Par défaut, un clic sur le bouton du milieu de la souris fait l'équivalent d'un ctrl-V (copie du contenu du presse-papier) dans une session Citrix, au lieu d'ouvrir un nouvel onglet dans un navigateur, par exemple. Pour changer ce comportement, il suffit d'éditer le fichier *~/.ICAClient/wfclient.ini*, pour y remplacer la ligne :

	MouseSendsControlV=True

par :

	MouseSendsControlV=False


