---
title: "Debian et la FSF."
date: 2020-11-17T18:55:41+01:00
draft: false
---
Je disais dans un [billet récent sur Trisquel](https://passiongnulinux.tuxfamily.org/posts/2020-10-31-trisquel-etiona-est-la/):

> Je suis admiratif de la perte de temps, j’entends par là qu’une distribution libre, totalement libre à base de paquet .deb existe déjà, elle s’appel Debian… si elle n’est pas reconnue comme telle par la FSF c’est seulement que ces derniers ne veulent pas que le projet Debian abrite sur ses serveurs des logiciels qui ne sont pas libres. En gros, Debian même si par défaut elle n’installe pas de paquets logiciels non-libres, ni même de firmwares, ou encore des bouts de codes, ni encore n’active de dépôts contenant de telles choses, … Le fait de proposer la possibilité pour leurs utilisateurs d’avoir accès depuis les serveurs du projet –même si ça demande une action manuelle de l’utilisateur–, à de tels programmes, facilite l’utilisation de ses logiciels et est donc contraire à l’esprit de la FSF qui préfère qu’on se fassent bien chier dans l’utilisation de nos machines.
> 
> J’utilise les fameux dépôts qui posent soucis à la FSF, pour pouvoir utiliser mon PC de façon optimal, ma carte graphique c’est du Nvidia, j’utilise les firmwares nonfree du kernel Linux, des codecs, mon driver pour le Bluetooth et le WIFI… Bref, je suis admiratif devant des personnes qui me disent que je dois avoir le contrôle intégrale de ma machine ce qui implique d’utiliser que du libre et qui implique aussi que je ne pourrai pas avoir ni codecs, ni firmware, ni wifi, ni Bluetooth… Si c’est ça d’avoir le contrôle de sa machine et bien moi je passe mon tour.

Voici donc l'extrait de la FSF parlant de Debian:

> ### Pourquoi nous n'homologuons pas d'autres systèmes
> 
> On nous demande souvent pourquoi nous n'homologuons pas tel système particulier – habituellement une distribution GNU/Linux populaire. La réponse courte à cette question est qu'elle ne respecte pas les recommandations pour une distribution système libre. Mais comme il n'est pas toujours évident de voir quels points de ces recommandations ne sont pas respectés par un système particulier, cette liste donne des informations supplémentaires sur les problèmes posés par certaines distributions non libres bien connues.
> 
[...]
> 
> ### Debian GNU/Linux
> 
> Le projet Debian affirme dans son contrat social que son but est de rendre Debian entièrement libre et il met consciencieusement les logiciels non libres en dehors du système officiel. Cependant, il possède également un dépôt de logiciels non libres. Selon lui, ces logiciels ne « font pas partie du système Debian », mais ce dépôt est hébergé sur plusieurs des serveurs principaux du projet et l'on peut facilement trouver ces paquets non libres en explorant la base de données en ligne des paquets Debian ou son wiki.
> 
> Il y a aussi un dépôt contrib ; ses paquets sont libres, mais quelques-uns sont destinés à charger des programmes privateurs1 distribués séparément. Lui non plus n'est pas complètement séparé de la distribution principale Debian (main).
> 
> Debian est la seule distribution courante non agréée par la FSF qui garde les blobs non libres en dehors de sa distribution principale. Une partie du problème persiste cependant. Les fichiers de microcode non libre sont logés dans le répertoire non libre de Debian, référencé dans la documentation publiée sur debian.org, et l'installateur les recommande dans certains cas pour les périphériques de la machine.
> 
> De plus, certains des programmes libres qui font officiellement partie de Debian invitent l'utilisateur à installer des programmes non libres. En particulier, les versions de Firefox et Chrome fournies par Debian suggèrent des plugins non libres compatibles avec elles.
> 
> Il y a également dans le wiki de Debian des pages expliquant comment installer des micrologiciels privateurs.

Ce qui déplaît est que Debian accepte et comprend que ses utilisateurs souhaitent parfois utiliser certains logiciels non libres. Elle s’engage donc à mettre à leur disposition une partie de son infrastructure, pour distribuer sous forme de paquets Debian les logiciels non libres qui l’autorisent. (source *"5.Programmes non conformes à nos standards sur les logiciels libres."* du [cahier de l'admin](https://debian-handbook.info/browse/fr-FR/stable/sect.foundation-documents.html#sect.social-contract).)

Notamment un débat continuel chez Debian pour garder ou non les sections incriminantes fait rage:

> ## Pour ou contre la section non-free ?
> 
> L’engagement de conserver une structure d’accueil pour des logiciels non
libres (i.e. la section non-free , voir encadré « Les archives main , contrib et
non-free » page 113) est régulièrement remis en cause au sein de la com-
munauté Debian.
> Ses détracteurs arguent qu’il détourne certaines personnes de logiciels libres
équivalents et contredit le principe de servir exclusivement la cause des logi-
ciels libres. Les partisans rappellent plus prosaïquement que la majorité des
logiciels de non-free sont des logiciels « presque libres », entravés seulement
par une ou deux restrictions gênantes (la plus fréquente étant l’interdiction
de tirer un bénéfice commercial du logiciel). En distribuant ces logiciels dans
la branche non-free , on explique indirectement à leur auteur que leur créa-
tion serait mieux reconnue et plus utilisée si elle pouvait être intégrée dans
la section main : ils sont ainsi poliment invités à changer leur licence pour
servir cet objectif.
> Après une première tentative infructueuse en 2004, la suppression totale de
la section non-free ne devrait plus revenir à l’ordre du jour avant plusieurs
années, d’autant plus qu’elle contient de nombreuses documentations utiles
qui y ont été déplacées parce qu’elles ne répondaient plus aux nouvelles exi-
gences de la section main . C’est notamment le cas pour certaines documen-
tations de logiciels issus du projet GNU (en particulier Emacs et Make).
Signalons que l’existence de non-free gêne considérablement la Free Soft-
ware Foundation . C’est la raison principale justifiant l’absence de Debian
dans sa liste des systèmes d’exploitation recommandés.

Je vais conclure par quoi j'ai commencé ce billet:

> Bref, je suis admiratif devant des personnes qui me disent que je dois avoir le contrôle intégrale de ma machine ce qui implique d’utiliser que du libre et qui implique aussi que je ne pourrai pas avoir ni codecs, ni firmware, ni wifi, ni Bluetooth… Si c’est ça d’avoir le contrôle de sa machine et bien moi je passe mon tour.
